Subject: RE: Evaluation: draft-ietf-dnsext-unknown-rrs -Handling of Unknow n DNS Resource Record Types to Proposed Standardraft-ietf-dnsext-unknown- rrs-05

From: "Hallam-Baker, Phillip" <[email-masked]>
Date: Mon, 19 May 2003 06:20:58 -0700

Rather than delete the section entirely why not point it to the RFCs where
the IANA considerations are considered?

I agree that there is no need to have an expert review to make sure that
extensions work with the deployed infrastructure, those that do not comply
will not deploy, problem solved.

	Phill

> -----Original Message-----
> From: Erik Nordmark [mailto:[email-masked]]
> Sent: Monday, May 19, 2003 5:15 AM
> To: Andreas Gustafsson
> Cc: Erik Nordmark; [email-masked]
> Subject: RE: Evaluation: draft-ietf-dnsext-unknown-rrs -Handling of
> Unknown DNS Resource Record Types to Proposed
> Standardraft-ietf-dnsext-unknown-rrs-05
> 
> 
> > RFC2929 allows for three types of allocation in separate RR type
> > number ranges: IETF Consensus, Specification Required, and Private
> > Use.  When an allocation is made based on IETF consensus, 
> the RR type
> > specification has already received extensive review in the working
> > group, the IETF last call, and the IESG; therefore, I don't 
> see a need
> > for an additional step of expert review in this case.  In 
> the case of
> > Private Use, no review is possible since neither IETF nor IANA is
> > involved.
> 
> Just a note that your interpretation of IETF consensus doesn't quite
> match RFC 2434 - that RFC doesn't mention an IETF last call:
>        IETF Consensus - New values are assigned through the IETF
>            consensus process. Specifically, new assignments 
> are made via
>            RFCs approved by the IESG. Typically, the IESG will seek
>            input on prospective assignments from appropriate persons
>            (e.g., a relevant Working Group if one exists).
> 
> > This leaves Specification Required as a case where expert 
> review could
> > potentially be useful.  However, since the reason for having a
> > separate Specification Required policy in the first place 
> would be to
> > provide a more streamlined option for registering new 
> types, it would
> > seem that introducing a mandatory step of expert review 
> would diminish
> > the utility of having multiple policies.
> > 
> > Therefore, my suggestion is to simply remove the IANA Considerations
> > section from the draft.  Any objections?
> 
> As long as the WG is ok with the implications of that I don't 
> see a problem.
> For clarity if makes sense to retina the section and say explicitly
> that there are no IANA actions associated with this document.
> 
>   Erik
> 
> 
> --
> to unsubscribe send a message to 
> [email-masked] with
> the word 'unsubscribe' in a single line as the message text body.
> archive: <http://ops.ietf.org/lists/namedroppers/>
> 

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>